Get response actions status

Base URL
https://{kibana_url}
  • GET /api/endpoint/action_status
Auth

Get the status of response actions for the specified agent IDs.

Query parameters

agent_ids union string[] | string · min length: 1 required

A list of agent IDs to get the action status for.

Example: ["agent-id-1","agent-id-2"]

Response

Indicates a successful call.

application/json
data object[] required

One pending-actions summary entry per requested agent.

agent_id string · max length: 256 required

Agent ID

pending_actions union oneOf required
One of:
execute integer

Number of pending actions of this type.

get-file integer

Number of pending actions of this type.

isolate integer

Number of pending actions of this type.

kill-process integer

Number of pending actions of this type.

running-processes integer

Number of pending actions of this type.

scan integer

Number of pending actions of this type.

suspend-process integer

Number of pending actions of this type.

unisolate integer

Number of pending actions of this type.

upload integer

Number of pending actions of this type.

Base URL
https://{kibana_url}